%define	module	Crypt-OpenSSL-RSA
%define name	perl-%{module}
%define version	0.19
%define release	2mdk

Summary:	%{module} module for perl 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
Requires:	perl
Requires:	openssl
BuildRequires:	perl-devel
BuildRequires:	perl-Crypt-OpenSSL-Random
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#BuildArch:	noarch

%description
%{module} module for perl

%prep
%setup -q -n Crypt-OpenSSL-RSA-%{version} 
# perl path hack
find . -type f | xargs %{__perl} -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor </dev/null
%{__make}
%{__make} test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 
%makeinstall_std

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes MANIFEST README
%{perl_vendorlib}/*/auto/Crypt/OpenSSL/RSA/*
%{perl_vendorlib}/*/Crypt/OpenSSL/*
%{_mandir}/man*/*

%changelog
* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.19-2mdk
- rebuild for new perl
- don't use PREFIX
- use %%makeinstall_std macro
- make %%module macro and use it

* Mon Jun 30 2003 Franois Pons <fpons@mandrakesoft.com> 0.19-1mdk
- 0.19.

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.18-2mdk
- rebuild for new auto{prov,req}

* Sat Apr 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.18-1mdk
- 0.18

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.16-2mdk
- build release

* Tue Nov 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.16-1mdk
- initial cooker contrib.
